Bug 416511 - Kernel 'hangs' when using mouse/keyboard after short break.
Kernel 'hangs' when using mouse/keyboard after short break.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-08 08:25 EST by Simon Goodall
Modified: 2009-01-09 00:27 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2007-12-08 08:25:50 EST
Description of problem:
The new kernel update (kernel- causes my system to 'hang' when I
 leave it alone for a couple of minutes, then press a key or use the mouse.
Everything freezes for about a second (i.e no video update), then the screen
updates and the cpu meters show full usage (when there was none before) and the
logs shows messages like;

Dec  5 16:55:08 echo kernel: psmouse.c: GlidePoint at isa0060/serio1/input0 lost
synchronization, throwing 2 bytes away.
Dec  5 16:55:12 echo kernel: psmouse.c: resync failed, issuing reconnect request

It can take a few seconds for the system to recover. Reverting back to the
kernel- version fixes this problem.

I have a dell inspiron 8500 laptop.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Leave machine alone for a couple of minutes.
2. Try moving mouse or pressing a key
Actual results:

System freeze/hang for a few seconds with a cpu spike

Expected results:
Immediate response, no cpu usage spike.

Additional info:
Comment 1 Simon Goodall 2007-12-21 08:46:39 EST
Same problem with kernel

However I have discovered that the gnome-power-manager "Dim display when idle"
triggers this problem.
This feature does not work on my Inspiron 8500, however when a stuck the hard
drive into a Latitude D800 to test some other issues, the screen actually did
dim and there was no such problem.

Unchecking the dim when idle feature solves my problem back on my inspiron.

I'm not sure whether the problem really is the kernel, however the older
versions did not exhibit this problem when the dim when idle feature was
enabled. Both machines had the same graphics card (nvidia go 4200) so would have
been using the same X driver.
Comment 2 Simon Goodall 2008-01-01 17:48:42 EST
Unfortunately, while the dim when idle does seem to have helped, it has not
completely resolved my problem. I am still getting the "hangs" when idle for
some undetermined period of time. It does, however, now seem to be a longer
period of time.
Comment 3 Bug Zapper 2008-11-26 03:54:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-01-09 00:27:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.